如何判断WordPress主题和插件是否支持PHP 8

如何判断WordPress主题和插件是否支持PHP 8

PHP 8 于2020年11月26日正式发布,很多非官方的WordPress主题和插件对于PHP 8的兼容性难以预料,那么,有必要对其进行一项兼容测试。

我们推荐在本地搭建一个测试环境,一直用phpStudy搭建本地环境,phpStudy目前并没有集成PHP 8,试着添加无果,最后还是用回老牌的建站集成软件包XAMPP(Apache+MySQL+PHP+PERL)原名 LAMPP,后改名为 XAMPP,最新版 XAMPP 默认就是PHP 8,如何想测试网站主题、插件在PHP8下的运行状态,可以尝试用 XAMPP 搭建本地环境。


XAMPP详细的使用方法网上很多,自行参阅,这里略过。

只提示一下:XAMPP数据库默认用户名为:root,密码为空,填写WP配置文件时注意一下就行了,因本地环境也没必要添加修改密码。

因目前WP5+包括之前的版本都无法完美运行在PHP8下,所以想使用PHP 8测试主题插件的兼容性,必须安装即将发布的WordPress 5.6,否则众多主题包括部分WP官方主题库中的主题都无法运行。

由于PHP 8直接弃用停用很多7+的写法,所以大部分非WordPress官网主题或多或少出现错误提示而无法正常运行,貌似修正后也无法运行在低版本PHP中,很是折磨人。

即将发布的WordPress 5.6也只是个兼容PHP 8的过渡版本,开发者也需要长期大量的兼容性测试,才能完美兼容PHP 8,所以大家还是暂缓升级PHP 8。

分享到 :
相关推荐

发表评论

登录... 后才能评论